### Method

# Gcr Prompt password_async

#### Declaration [src]

    void
    gcr_prompt_password_async (
      GcrPrompt* prompt,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Prompts for password. Set the various properties on the prompt before calling this method to explain which password should be entered.

This method will return immediately and complete asynchronously.

This method completes asynchronously. Use `gcr_prompt_password_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.